
create cluster single_hash_cluster
(hash_key number(10))
hashkeys 75000
size 150 
single table 
hash is HASH_KEY
/

create table t_hashed 
cluster single_hash_cluster (object_id)
as 
select OWNER,OBJECT_NAME,SUBOBJECT_NAME,
cast ( OBJECT_ID as number) object_id,
DATA_OBJECT_ID,OBJECT_TYPE,CREATED,
LAST_DDL_TIME,TIMESTAMP,STATUS,TEMPORARY,
GENERATED,SECONDARY 
from all_objects
/

