
## 搭建树莓派环境
硬件设备
1. 树莓派、tf卡、电源，其他的可以与电脑的共用(没有显示屏的话,建议买一个)


## 搭建git私服

### 简介
对于树莓派来讲，虽然可以安装`gitlab`，但是需要占用的资源比较多，不太划算，而`gogs`刚好占用的资源比较少，
功能对于个人来讲已经可以了，所以是一个比较可以的选择。

### 安装

1. 安装需要用到的软件
```sh
sudo apt install ngnix git
```
2. 去`https://gogs.io/`官网上下载客户端，如果用的是树莓派的话建议下载`arm`版的
3. 加压完了之后执行`./gogs web`
4. 在浏览器中打开`http://host/install`进行安装，我安装的时候没有用`mysql`数据库，所以不需要安装`mysql`数据库。

## 搭建`tor`中继
暂无

## 监视软件

### 安装netdata
1. 下载
```sh
git clone https://github.com/firehol/netdata.git --depth=1
```
2. 安装
```sh
./netdata-installer.sh
```

## 摄像头

启动
```sh
raspistill --nopreview -q 5 -o /home/pi/tmp/stream/pic.jpg -tl 100 -t 9999999 -th 0:0:0 &
mjpg_streamer -i "input_file.so -f /home/pi/tmp/stream -n pic.jpg" -o "output_http.so -w /home/pi/mjpg-streamer/mjpg-streamer-experimental/www"
```

## 挖矿机
下载地址`http://ck.kolivas.org/apps/cgminer/`，我下载的是4.9版本
执行下面命令
```sh
./configure --enable-cpumining
sudo make
sudo make install
```
#### bitcoin钱包


