## 数据库操作

* 创建
	* 创建数据库 `CREATE DATABASE database_name DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;`
	* 创建表：
	* 创建视图：
	* 创建schema:
	* schema 和database的区别：
* 插入
* 查询
	* 条件查询
	* 联合查询
		* join 查询
			* 内联接`inner join`
			* 外联结`outer join`
				* 左外联结`left join or left outer join`
				* 右外联结`right join or right outer join`
				* 完全外部联接`full join or full outer join`
			* 交叉联接`cross join` 等价于`select * from table1,table2`
		* union 查询
	* 子查询
		* where 型子查询
		* from 型子查询
		* exits 型子查询
	* 模糊查询`like`
	* sql函数
		* avg()、count()、first()、last()、max()、min()、sum()、group by()、ucase()。
* 删除
* 备份`mysqldump -u username -p dbname table1 table2 ...-> BackupName.sql`
	* 冷备份
	* 温备份
	* 热备份
* 恢复`mysql -u root -p [dbname] < backup.sql`
* 约束
	* NOT NULL
	* UNIQUE
	* PRIMARY KEY
	* FOREIGN KEY
	* CHECK
	* DEFAULT

