# 聚集索引和非聚集索引的区别
聚集索引和非聚集索引的根本区别是排列顺序是否一致，<br>
***聚集索引***表记录的排列顺序与索引的排列顺序一致，优点是查询速度快，因为一旦具有第一个索引值的记录被找到，具有连续索引值的记录也一定物理的紧跟
在其后<br>
聚集索引的缺点是对表的修改速度比较慢，这是为了保证表中的记录的物理顺序一致，而是把记录插入到数据页面的相应位置，必须在数据页面中数据重排，降低了
执行速度。　<br>
***非聚集索引***指定了表中记录的逻辑顺序，但记录的物理顺序和索引的顺序不一致，聚集索引和非聚集索引都采用了***B+树***的结构，但非聚集索引的叶子层
并不不与实际的数据想重叠，而是采用叶子层包含着一个指向表中的记录在数据页中的方式。非聚集索引比聚集索引层次多，添加记录不会引起数据顺序的重组。

