## scott 相关问题
1. scott不存在,执行`$ORACLE_HOME/rdbms/admin/utlsampl.sql`
```sql
@$ORACLE_HOME/rdbms/admin/utlsampl.sql
```
2. `connect scott/tiger`时报错
```sql
SP2-0618: Cannot find the Session Identifier.  Check PLUSTRACE role is enabled
SP2-0611: Error enabling STATISTICS report
```
解决方案:
```sql
@$ORACLE_HOME/sqlplus/admin/plustrce.sql
grant plustrace to scott;
```
3. 报错信息
```sql
ORA-01039: insufficient privileges on underlying objects of the view
SP2-0612: Error generating AUTOTRACE EXPLAIN report
```
解决方案:
```sql
grant select any dictionary to scott;
```
