## 常用的查询
1. 查询oracle中的sid
```sql
select instance_name from  V$instance;
```

2. 查询锁定表信息
```sql
SELECT s.sid,
       s.serial#,
	   s.username,
	   s.schemaname,
	   s.osuser,
	   s.process,
	   s.machine,
       s.terminal,
	   s.logon_time,
	   l.type
  FROM v$session s, v$lock l
 WHERE s.sid = l.sid
   AND s.username IS NOT NULL
 ORDER BY sid;
```
